diff --git a/web/.gitignore b/web/.gitignore
new file mode 100644
index 00000000..3ce1d246
--- /dev/null
+++ b/web/.gitignore
@@ -0,0 +1 @@
+.pytest_cache
diff --git a/web/config.py b/web/config.py
index e7d10cd4..22b1d17d 100644
--- a/web/config.py
+++ b/web/config.py
@@ -116,10 +116,13 @@ NODE_BLACKLIST = []
 #       from it, notably various paths such as LOG_FILE and anything
 #       using DATA_DIR.
 
-if builtins.SERVER_MODE is None:
+try:
+    if builtins.SERVER_MODE is None:
+        SERVER_MODE = True
+    else:
+        SERVER_MODE = builtins.SERVER_MODE
+except AttributeError:
     SERVER_MODE = True
-else:
-    SERVER_MODE = builtins.SERVER_MODE
 
 # User ID (email address) to use for the default user in desktop mode.
 # The default should be fine here, as it's not exposed in the app.
diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 5caf604c..d01ac8ff 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -217,6 +217,8 @@ def create_app(app_name=None):
         'PGADMIN_TESTING_MODE' in os.environ and
         os.environ['PGADMIN_TESTING_MODE'] == '1'
     ):
+        from pgadmin.model import SCHEMA_VERSION
+        config.SETTINGS_SCHEMA_VERSION = SCHEMA_VERSION
         config.SQLITE_PATH = config.TEST_SQLITE_PATH
 
     # Ensure the various working directories exist
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 3741d9d3..5c1ff5db 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -711,220 +711,214 @@ def get_nodes():
     return make_json_response(data=nodes)
 
 
-# Only register route if SECURITY_CHANGEABLE is set to True
-# We can't access app context here so cannot
-# use app.config['SECURITY_CHANGEABLE']
+@blueprint.route("/change_password", endpoint="change_password",
+                 methods=['GET', 'POST'])
+@login_required
+def change_password():
+    """View function which handles a change password request."""
 
+    has_error = False
+    form_class = _security.change_password_form
 
-if hasattr(config, 'SECURITY_CHANGEABLE') and config.SECURITY_CHANGEABLE:
-    @blueprint.route("/change_password", endpoint="change_password",
-                     methods=['GET', 'POST'])
-    @login_required
-    def change_password():
-        """View function which handles a change password request."""
+    if request.json:
+        form = form_class(MultiDict(request.json))
+    else:
+        form = form_class()
 
-        has_error = False
-        form_class = _security.change_password_form
+    if form.validate_on_submit():
+        try:
+            change_user_password(current_user, form.new_password.data)
+        except SOCKETErrorException as e:
+            # Handle socket errors which are not covered by SMTPExceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP Socket error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except (SMTPConnectError, SMTPResponseException,
+                SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
+                SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
+                SMTPRecipientsRefused) as e:
+            # Handle smtp specific exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except Exception as e:
+            # Handle other exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(
+                gettext(
+                    u'Error: {}\n'
+                    u'Your password has not been changed.'
+                ).format(e),
+                'danger'
+            )
+            has_error = True
 
-        if request.json:
-            form = form_class(MultiDict(request.json))
-        else:
-            form = form_class()
-
-        if form.validate_on_submit():
-            try:
-                change_user_password(current_user, form.new_password.data)
-            except SOCKETErrorException as e:
-                # Handle socket errors which are not covered by SMTPExceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP Socket error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except (SMTPConnectError, SMTPResponseException,
-                    SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
-                    SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
-                    SMTPRecipientsRefused) as e:
-                # Handle smtp specific exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except Exception as e:
-                # Handle other exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(
-                    gettext(
-                        u'Error: {}\n'
-                        u'Your password has not been changed.'
-                    ).format(e),
-                    'danger'
-                )
-                has_error = True
+        if request.json is None and not has_error:
+            after_this_request(_commit)
+            do_flash(*get_message('PASSWORD_CHANGE'))
+            return redirect(get_url(_security.post_change_view) or
+                            get_url(_security.post_login_view))
 
-            if request.json is None and not has_error:
-                after_this_request(_commit)
-                do_flash(*get_message('PASSWORD_CHANGE'))
-                return redirect(get_url(_security.post_change_view) or
-                                get_url(_security.post_login_view))
+    if request.json and not has_error:
+        form.user = current_user
+        return _render_json(form)
 
-        if request.json and not has_error:
-            form.user = current_user
-            return _render_json(form)
+    return _security.render_template(
+        config_value('CHANGE_PASSWORD_TEMPLATE'),
+        change_password_form=form,
+        **_ctx('change_password'))
 
-        return _security.render_template(
-            config_value('CHANGE_PASSWORD_TEMPLATE'),
-            change_password_form=form,
-            **_ctx('change_password'))
 
-# Only register route if SECURITY_RECOVERABLE is set to True
-if hasattr(config, 'SECURITY_RECOVERABLE') and config.SECURITY_RECOVERABLE:
+def send_reset_password_instructions(user):
+    """Sends the reset password instructions email for the specified user.
 
-    def send_reset_password_instructions(user):
-        """Sends the reset password instructions email for the specified user.
+    :param user: The user to send the instructions to
+    """
+    token = generate_reset_password_token(user)
+    reset_link = url_for('browser.reset_password', token=token,
+                         _external=True)
 
-        :param user: The user to send the instructions to
-        """
-        token = generate_reset_password_token(user)
-        reset_link = url_for('browser.reset_password', token=token,
-                             _external=True)
-
-        send_mail(config_value('EMAIL_SUBJECT_PASSWORD_RESET'), user.email,
-                  'reset_instructions',
-                  user=user, reset_link=reset_link)
-
-        reset_password_instructions_sent.send(
-            current_app._get_current_object(),
-            user=user, token=token)
-
-    @blueprint.route("/reset_password", endpoint="forgot_password",
-                     methods=['GET', 'POST'])
-    @anonymous_user_required
-    def forgot_password():
-        """View function that handles a forgotten password request."""
-        has_error = False
-        form_class = _security.forgot_password_form
-
-        if request.json:
-            form = form_class(MultiDict(request.json))
-        else:
-            form = form_class()
-
-        if form.validate_on_submit():
-            try:
-                send_reset_password_instructions(form.user)
-            except SOCKETErrorException as e:
-                # Handle socket errors which are not covered by SMTPExceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP Socket error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except (SMTPConnectError, SMTPResponseException,
-                    SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
-                    SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
-                    SMTPRecipientsRefused) as e:
-
-                # Handle smtp specific exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except Exception as e:
-                # Handle other exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'Error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-
-            if request.json is None and not has_error:
-                do_flash(*get_message('PASSWORD_RESET_REQUEST',
-                                      email=form.user.email))
-
-        if request.json and not has_error:
-            return _render_json(form, include_user=False)
-
-        return _security.render_template(
-            config_value('FORGOT_PASSWORD_TEMPLATE'),
-            forgot_password_form=form,
-            **_ctx('forgot_password'))
-
-    # We are not in app context so cannot use
-    # url_for('browser.forgot_password')
-    # So hard code the url '/browser/reset_password' while passing as
-    # parameter to slash_url_suffix function.
-    @blueprint.route(
-        '/reset_password' + slash_url_suffix(
-            '/browser/reset_password', '<token>'
-        ),
-        methods=['GET', 'POST'],
-        endpoint='reset_password'
-    )
-    @anonymous_user_required
-    def reset_password(token):
-        """View function that handles a reset password request."""
-
-        expired, invalid, user = reset_password_token_status(token)
-
-        if invalid:
-            do_flash(*get_message('INVALID_RESET_PASSWORD_TOKEN'))
-        if expired:
-            do_flash(*get_message('PASSWORD_RESET_EXPIRED', email=user.email,
-                                  within=_security.reset_password_within))
-        if invalid or expired:
-            return redirect(url_for('browser.forgot_password'))
-        has_error = False
-        form = _security.reset_password_form()
-
-        if form.validate_on_submit():
-            try:
-                update_password(user, form.password.data)
-            except SOCKETErrorException as e:
-                # Handle socket errors which are not covered by SMTPExceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP Socket error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except (SMTPConnectError, SMTPResponseException,
-                    SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
-                    SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
-                    SMTPRecipientsRefused) as e:
-
-                # Handle smtp specific exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'SMTP error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-            except Exception as e:
-                # Handle other exceptions.
-                logging.exception(str(e), exc_info=True)
-                flash(gettext(u'Error: {}\n'
-                              u'Your password has not been changed.'
-                              ).format(e),
-                      'danger')
-                has_error = True
-
-            if not has_error:
-                after_this_request(_commit)
-                do_flash(*get_message('PASSWORD_RESET'))
-                login_user(user)
-                return redirect(get_url(_security.post_reset_view) or
-                                get_url(_security.post_login_view))
-
-        return _security.render_template(
-            config_value('RESET_PASSWORD_TEMPLATE'),
-            reset_password_form=form,
-            reset_password_token=token,
-            **_ctx('reset_password'))
+    send_mail(config_value('EMAIL_SUBJECT_PASSWORD_RESET'), user.email,
+              'reset_instructions',
+              user=user, reset_link=reset_link)
+
+    reset_password_instructions_sent.send(
+        current_app._get_current_object(),
+        user=user, token=token)
+
+
+@blueprint.route("/reset_password", endpoint="forgot_password",
+                 methods=['GET', 'POST'])
+@anonymous_user_required
+def forgot_password():
+    """View function that handles a forgotten password request."""
+    has_error = False
+    form_class = _security.forgot_password_form
+
+    if request.json:
+        form = form_class(MultiDict(request.json))
+    else:
+        form = form_class()
+
+    if form.validate_on_submit():
+        try:
+            send_reset_password_instructions(form.user)
+        except SOCKETErrorException as e:
+            # Handle socket errors which are not covered by SMTPExceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP Socket error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except (SMTPConnectError, SMTPResponseException,
+                SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
+                SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
+                SMTPRecipientsRefused) as e:
+
+            # Handle smtp specific exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except Exception as e:
+            # Handle other exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'Error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+
+        if request.json is None and not has_error:
+            do_flash(*get_message('PASSWORD_RESET_REQUEST',
+                                  email=form.user.email))
+
+    if request.json and not has_error:
+        return _render_json(form, include_user=False)
+
+    return _security.render_template(
+        config_value('FORGOT_PASSWORD_TEMPLATE'),
+        forgot_password_form=form,
+        **_ctx('forgot_password'))
+
+
+# We are not in app context so cannot use
+# url_for('browser.forgot_password')
+# So hard code the url '/browser/reset_password' while passing as
+# parameter to slash_url_suffix function.
+@blueprint.route(
+    '/reset_password' + slash_url_suffix(
+        '/browser/reset_password', '<token>'
+    ),
+    methods=['GET', 'POST'],
+    endpoint='reset_password'
+)
+@anonymous_user_required
+def reset_password(token):
+    """View function that handles a reset password request."""
+
+    expired, invalid, user = reset_password_token_status(token)
+
+    if invalid:
+        do_flash(*get_message('INVALID_RESET_PASSWORD_TOKEN'))
+    if expired:
+        do_flash(*get_message('PASSWORD_RESET_EXPIRED', email=user.email,
+                              within=_security.reset_password_within))
+    if invalid or expired:
+        return redirect(url_for('browser.forgot_password'))
+    has_error = False
+    form = _security.reset_password_form()
+
+    if form.validate_on_submit():
+        try:
+            update_password(user, form.password.data)
+        except SOCKETErrorException as e:
+            # Handle socket errors which are not covered by SMTPExceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP Socket error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except (SMTPConnectError, SMTPResponseException,
+                SMTPServerDisconnected, SMTPDataError, SMTPHeloError,
+                SMTPException, SMTPAuthenticationError, SMTPSenderRefused,
+                SMTPRecipientsRefused) as e:
+
+            # Handle smtp specific exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'SMTP error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+        except Exception as e:
+            # Handle other exceptions.
+            logging.exception(str(e), exc_info=True)
+            flash(gettext(u'Error: {}\n'
+                          u'Your password has not been changed.'
+                          ).format(e),
+                  'danger')
+            has_error = True
+
+        if not has_error:
+            after_this_request(_commit)
+            do_flash(*get_message('PASSWORD_RESET'))
+            login_user(user)
+            return redirect(get_url(_security.post_reset_view) or
+                            get_url(_security.post_login_view))
+
+    return _security.render_template(
+        config_value('RESET_PASSWORD_TEMPLATE'),
+        reset_password_form=form,
+        reset_password_token=token,
+        **_ctx('reset_password'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
index b902c48b..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class CastTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
index de8f9799..15fd01f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
@@ -11,24 +11,24 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
 
 
-class CastsAddTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for cast node.
-        ('Check Cast Node', dict(url='/browser/cast/obj/'))
-    ]
-
-    def runTest(self):
-        """ This function will add cast under test database. """
-        super(CastsAddTestCase, self).runTest()
+@pytest.mark.skip_databases(['gpdb'])
+class TestCastsAdd(ClientTestBaseClass):
+    def test_check_cast_node(self):
+        """
+        When creation request is sent to the backend
+        it returns 200 status """
+        url = '/browser/cast/obj/'
         self.server_data = parent_node_dict["database"][-1]
         self.server_id = self.server_data["server_id"]
         self.db_id = self.server_data['db_id']
@@ -41,15 +41,22 @@ class CastsAddTestCase(BaseTestGenerator):
 
         self.data = cast_utils.get_cast_data()
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(
                 self.db_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(response)
+        self.assert_node_json(json_response,
+                              'cast',
+                              'pgadmin.node.cast',
+                              False,
+                              'icon-cast',
+                              'money->bigint')
 
     def tearDown(self):
-        """This function disconnect the test database and drop added cast."""
         connection = utils.get_db_connection(self.server_data['db_name'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
index b956fcbc..824899fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
@@ -9,24 +9,21 @@
 
 from __future__ import print_function
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
 
 
-class CastsDeleteTestCase(BaseTestGenerator):
-    """ This class will delete the cast node added under database node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for cast node.
-        ('Check Cast Node', dict(url='/browser/cast/obj/'))
-    ]
-
-    def setUp(self):
-        super(CastsDeleteTestCase, self).setUp()
+@pytest.mark.skip_databases(['gpdb'])
+class TestCastsDelete(ClientTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup):
         self.default_db = self.server["db"]
         self.database_info = parent_node_dict['database'][-1]
         self.db_name = self.database_info['db_name']
@@ -36,8 +33,13 @@ class CastsDeleteTestCase(BaseTestGenerator):
         self.cast_id = cast_utils.create_cast(self.server, self.source_type,
                                               self.target_type)
 
-    def runTest(self):
-        """ This function will delete added cast."""
+    def test_cast_delete(self):
+        """
+        When a cast exits
+         When remove request is sent to the backend,
+         It gets removed from the database
+          And return 200 status"""
+        url = '/browser/cast/obj/'
         self.server_id = self.database_info["server_id"]
         self.db_id = self.database_info['db_id']
         db_con = database_utils.connect_database(self,
@@ -57,11 +59,11 @@ class CastsDeleteTestCase(BaseTestGenerator):
         if len(response) == 0:
             raise Exception("Could not find cast.")
         delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.cast_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+        delete_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
         """This function will disconnect test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
index d67f55ae..7d167855 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
@@ -9,25 +9,22 @@
 
 from __future__ import print_function
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
 
 
-class CastsGetTestCase(BaseTestGenerator):
-    """ This class will fetch the cast node added under database node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for cast node.
-        ('Check Cast Node', dict(url='/browser/cast/obj/'))
-    ]
-
-    def setUp(self):
+@pytest.mark.skip_databases(['gpdb'])
+class TestCastsGet(ClientTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup):
         """ This function will create cast."""
-        super(CastsGetTestCase, self).setUp()
         self.default_db = self.server["db"]
         self.database_info = parent_node_dict['database'][-1]
         self.db_name = self.database_info['db_name']
@@ -37,8 +34,12 @@ class CastsGetTestCase(BaseTestGenerator):
         self.cast_id = cast_utils.create_cast(self.server, self.source_type,
                                               self.target_type)
 
-    def runTest(self):
-        """ This function will fetch added cast."""
+    def test_get_cast_node(self):
+        """When a cast exits
+         When GET request is sent to the backend,
+         It retrieves the information about it
+          And return 200 status"""
+        url = '/browser/cast/obj/'
         self.server_id = self.database_info["server_id"]
         self.db_id = self.database_info['db_id']
         db_con = database_utils.connect_database(self,
@@ -48,11 +49,34 @@ class CastsGetTestCase(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(
+            url + str(utils.SERVER_GROUP) + '/' + str(
                 self.server_id) + '/' +
             str(self.db_id) + '/' + str(self.cast_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = self.response_to_json(response)
+        (json_response | should.have.key('pronspname') >
+         should.be.equal.to(None))
+        (json_response | should.have.key('srcnspname') >
+         should.be.equal.to('pg_catalog'))
+        (json_response | should.have.key('trgnspname') >
+         should.be.equal.to('pg_catalog'))
+        (json_response | should.have.key('description') >
+         should.be.equal.to(None))
+        (json_response | should.have.key('proname') >
+         should.be.equal.to('binary compatible'))
+        (json_response | should.have.key('syscast') >
+         should.be.equal.to(False))
+        (json_response | should.have.key('trgtyp') >
+         should.be.equal.to('bigint'))
+        (json_response | should.have.key('castfunc') >
+         should.be.equal.to(0))
+        (json_response | should.have.key('castcontext') >
+         should.be.equal.to('IMPLICIT'))
+        (json_response | should.have.key('srctyp') >
+         should.be.equal.to('money'))
+        (json_response | should.have.key('name') >
+         should.be.equal.to('money->bigint'))
 
     def tearDown(self):
         """This function disconnect the test database and drop added cast."""
